summaryrefslogtreecommitdiff
path: root/functions/exit.sh
diff options
context:
space:
mode:
Diffstat (limited to 'functions/exit.sh')
-rwxr-xr-xfunctions/exit.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/functions/exit.sh b/functions/exit.sh
index 1c24462..47b88a7 100755
--- a/functions/exit.sh
+++ b/functions/exit.sh
@@ -24,3 +24,9 @@ Exit ()
umount chroot/selinux > /dev/null 2>&1 || true
umount chroot/sys > /dev/null 2>&1 || true
}
+
+Setup_cleanup ()
+{
+ Echo_message "Setting up cleanup function"
+ trap 'Exit' INT TERM HUP EXIT
+}